<?php
#############################################################
#---------------------- General Settings -------------------#
#
# Only registered User can view
# Nur registrierte User koennen die Seite ansehen
$only_reg = FALSE; // TRUE Yes - FALSE No
#
# Show Forums, that are moderated by Users?
# Sollen Foren angezeigt werden, die die User moderieren?
$show_mod_forum = TRUE; // TRUE Yes - FALSE No
#
# Forums, there will not displayed
# Foren, die nicht angezeigt werden
$dont_show = ''; // Seperate them with Comma / Trenne sie durch Kommas
#
# Show Group Membership
# Gruppenmitgliedschaft zeigen
$show_mod_group = TRUE; // TRUE Yes - FALSE No
#
# Show Hidden Group?
# Zeige versteckte Gruppen?
$show_hid_group = FALSE; // TRUE Yes - FALSE No
#
# Groups, there will not displayed
# Gruppen, die nicht angezeigt werden
$dont_show_group = ''; // Seperate them with Comma / Trenne sie durch Kommas
#
# Show "About-Us"-Part
# Zeige "Ueber-Uns"-Teil
$show_about = TRUE; // TRUE Yes - FALSE No 
# 
# Background for entire page
# Hintergrund fuer die Gesamte Seite
$bg_color = '#FFFFFF';
#
# Border-Color
# Rahmenfarbe
$border_color = '#A7A7A7';
#
# Font-Color for Title
# Schriftfarbe fuer die Titel
$font_color = '#DD6900';
#
#-----------------------------------------------------------#
# Dont change anything below! // Ab hier muss nichts veraendert werden!
#############################################################
 
define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);


//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_TEAM);
init_userprefs($userdata);
//
// End session management
//

if ( !$userdata['session_logged_in'] && $only_reg )
{
	redirect(append_sid("login.$phpEx?redirect=team.$phpEx", true));
}

$start = ( isset($HTTP_GET_VARS['start']) ) ? intval($HTTP_GET_VARS['start']) : 0;

if ( isset($HTTP_GET_VARS['mode']) || isset($HTTP_POST_VARS['mode']) )
{
	$mode = ( isset($HTTP_POST_VARS['mode']) ) ? htmlspecialchars($HTTP_POST_VARS['mode']) : htmlspecialchars($HTTP_GET_VARS['mode']);
}
else
{
	$mode = 'username';
}

if(isset($HTTP_POST_VARS['order']))
{
	$sort_order = ($HTTP_POST_VARS['order'] == 'ASC') ? 'ASC' : 'DESC';
}
else if(isset($HTTP_GET_VARS['order']))
{
	$sort_order = ($HTTP_GET_VARS['order'] == 'ASC') ? 'ASC' : 'DESC';
}
else
{
	$sort_order = 'ASC';
}

//
// Team sorting
//
$mode_types_text = array($lang['Sort_Username'], $lang['Sort_Realname'], $lang['Sort_User_level'], $lang['Joined'], $lang['Poster_rank']);
$mode_types = array('username', 'realname', 'user_level', 'joined', 'rank');

$select_sort_mode = '<select name="mode">';
for($i = 0; $i < count($mode_types_text); $i++)
{
	$selected = ( $mode == $mode_types[$i] ) ? ' selected="selected"' : '';
	$select_sort_mode .= '<option value="' . $mode_types[$i] . '"' . $selected . '>' . $mode_types_text[$i] . '</option>';
}
$select_sort_mode .= '</select>';

$select_sort_order = '<select name="order">';
if($sort_order == 'ASC')
{
	$select_sort_order .= '<option value="ASC" selected="selected">' . $lang['Sort_Ascending'] . '</option><option value="DESC">' . $lang['Sort_Descending'] . '</option>';
}
else
{
	$select_sort_order .= '<option value="ASC">' . $lang['Sort_Ascending'] . '</option><option value="DESC" selected="selected">' . $lang['Sort_Descending'] . '</option>';
}
$select_sort_order .= '</select>';

$page_title = $lang['Team_page'];
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$template->set_filenames(array(
	'body' => 'team_body.tpl')
);

switch( $mode )
{
	case 'username':
		$order_by = "username $sort_order LIMIT $start, " . $board_config['topics_per_page'];
		break;
	case 'realname':
		$order_by = "user_realname $sort_order LIMIT $start, " . $board_config['topics_per_page'];
		break;
	case 'user_level':
		$order_by = "user_level $sort_order LIMIT $start, " . $board_config['topics_per_page'];
		break;
	case 'joined':
		$order_by = "user_regdate $sort_order LIMIT $start, " . $board_config['topics_per_page'];
		break;
	case 'rank':
		$order_by = "user_rank $sort_order LIMIT $start, " . $board_config['topics_per_page'];
		break;
	default:
		$order_by = "user_level $sort_order LIMIT $start, " . $board_config['topics_per_page'];
		break;
}

if ( $show_about )
{
	$template->assign_block_vars('about', array());
	$width_td = '*';
	$width_table = '100%';
}
else
{
	$width_td = '100%';
	$width_table = '80%';
}

$html_specialchars_replace = array('#&gt;#', '#&lt;#', '#&quot;#', '#&amp;#');
$html_specialchars_match = array('>', '<', '"', '&');

$sql = "SELECT *
	FROM ". USERS_TABLE ."
	WHERE user_level IN (" . MOD . ", " . ADMIN . ")
	ORDER BY $order_by";	
if(!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, "Could not get userdata", "", __LINE__, __FILE__, $sql);
}
$team = array();
while ( $row = $db->sql_fetchrow($result) )
{
	$team[] = $row;
}

$sql = "SELECT *
	FROM " . RANKS_TABLE . "
	ORDER BY rank_special, rank_min";
if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not obtain ranks information', '', __LINE__, __FILE__, $sql);
}

$ranks = array();
while ( $row = $db->sql_fetchrow($result) )
{
	$ranks[] = $row;
}

$sql = "SELECT user_teamdesc_title, user_teamtext
	FROM ". USERS_TABLE ."
	WHERE user_level IN (" . MOD . ", " . ADMIN . ")";	
if(!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, "Could not get userdata", "", __LINE__, __FILE__, $sql);
}
$about = $db->sql_fetchrow($result);

	$template->assign_vars(array(
		'L_SELECT_SORT_METHOD' => $lang['Select_sort_method'],
		'L_ORDER' => $lang['Order'],
		'L_SORT' => $lang['Sort'],
		'L_TEAMPAGE' => $lang['Team_page'],
		'L_TEAM_NAME' => $lang['Team_name_page'],
		'L_TEAM_PHOTO' => $lang['Team_photo_page'],
		'L_TEAM_PERSONAL' => $lang['Team_personal_page'], 
		'L_TEAM_AVARANK' => $lang['Team_avarank_page'],
		
		'TEAMPAGE_DESC' => $about['user_teamdesc_title'],
		'TEAMPAGE_TEXT' => preg_replace($html_specialchars_replace, $html_specialchars_match, str_replace("\n", '<br />', $about['user_teamtext'])),
		
		'BG_BACKGROUND' => $bg_color,
		'BORDER_COLOR' => $border_color,
		'FONT_COLOR' => $font_color,
		'WIDTH_TD' => $width_td,
		'WIDTH_TABLE' => $width_table,
		'S_MODE_SELECT' => $select_sort_mode,
		'S_ORDER_SELECT' => $select_sort_order,
		'S_MODE_ACTION' => append_sid("team.$phpEx"))
	);

	for($i = 0; $i < count($team); $i++)
	{
		$team_title = $team[$i]['user_teamtitle'];
		if ( !empty($team[$i]['user_realname']) )
		{
			$team_username = '<a href="'. append_sid("profile.$phpEx?mode=viewprofile&amp;". POST_USERS_URL ."=". $team[$i]['user_id']) .'">'. $team[$i]['user_realname'] .'</a>';
		}
		else
		{
			$team_username = '<a href="'. append_sid("profile.$phpEx?mode=viewprofile&amp;". POST_USERS_URL ."=". $team[$i]['user_id']) .'">'. $team[$i]['username'] .'</a>';
		}
		$team_adress = ( !empty($team[$i]['user_adress']) ) ? str_replace("|", "<br />", $team[$i]['user_adress']) : ''; 
		$team_birth = ( !empty($team[$i]['user_birth']) ) ? $team[$i]['user_birth'] : '';

		if ( $team[$i]['user_rank'] )
		{
			for($j = 0; $j < count($ranks); $j++)
			{
				if ( $team[$i]['user_rank'] == $ranks[$j]['rank_id'] && $ranks[$j]['rank_special'] )
				{
					$team_rank = $ranks[$j]['rank_title'];
					$team_rank_image = ( $ranks[$j]['rank_image'] ) ? '<img src="' . $ranks[$j]['rank_image'] . '" alt="' . $team_rank . '" title="' . $team_rank . '" border="0" /><br />' : '';
				}
			}
		}
		else
		{
			for($j = 0; $j < count($ranks); $j++)
			{
				if ( $team[$i]['user_posts'] >= $ranks[$j]['rank_min'] && !$ranks[$j]['rank_special'] )
				{
					$team_rank = $ranks[$j]['rank_title'];
					$team_rank_image = ( $ranks[$j]['rank_image'] ) ? '<img src="' . $ranks[$j]['rank_image'] . '" alt="' . $team_rank . '" title="' . $team_rank . '" border="0" /><br />' : '';
				}
			}
		}
		
		$team_slogan = ( !empty($team[$i]['user_slogan']) ) ? $team[$i]['user_slogan'] : '';
		$team_photo = ( !empty($team[$i]['user_teamphoto']) ) ? '<img src="'. $team[$i]['user_teamphoto'] .'" border="0" width="150" />' : '<br /><br /><span class="gen">'.$lang['Team_no_photo'].'</span>';
		
		$team_avatar = '';
		if ( $team[$i]['user_avatar_type'] && $team[$i]['user_allowavatar'] )
		{
			switch( $team[$i]['user_avatar_type'] )
			{
				case USER_AVATAR_UPLOAD:
					$team_avatar = ( $board_config['allow_avatar_upload'] ) ? '<img src="' . $board_config['avatar_path'] . '/' . $team[$i]['user_avatar'] . '" alt="" border="0" />' : '';
					break;
				case USER_AVATAR_REMOTE:
					$team_avatar = ( $board_config['allow_avatar_remote'] ) ? '<img src="' . $team[$i]['user_avatar'] . '" alt="" border="0" />' : '';
					break;
				case USER_AVATAR_GALLERY:
					$team_avatar = ( $board_config['allow_avatar_local'] ) ? '<img src="' . $board_config['avatar_gallery_path'] . '/' . $team[$i]['user_avatar'] . '" alt="" border="0" />' : '';
					break;
			}
		}
		
		$team_website = ( !empty($team[$i]['user_website']) && $team[$i]['team_website'] ) ? '<a href="' . $team[$i]['user_website'] . '" target="_userwww"><img src="' . $images['icon_www'] . '" alt="' . $lang['Visit_website'] . '" title="' . $lang['Visit_website'] . '" border="0" /></a>' : '';
		$team_email = ( $team[$i]['team_email'] ) ? ( ($board_config['board_email_form']) ? '<a href="'. append_sid("profile.$phpEx?mode=email&amp;" . POST_USERS_URL .'=' . $team[$i]['user_id']) .'"><img src="' . $images['icon_email'] . '" alt="' . $lang['Send_email'] . '" title="' . $lang['Send_email'] . '" border="0" /></a>' : '<a href="mailto:' . $team[$i]['user_email'] .'"><img src="' . $images['icon_email'] . '" alt="' . $lang['Send_email'] . '" title="' . $lang['Send_email'] . '" border="0" /></a>' ) : '';
		$team_pm = ( $team[$i]['team_pm'] ) ? '<a href="' . append_sid("privmsg.$phpEx?mode=post&amp;" . POST_USERS_URL . "=". $team[$i]['user_id']) . '"><img src="' . $images['icon_pm'] . '" alt="' . $lang['Send_private_message'] . '" title="' . $lang['Send_private_message'] . '" border="0" /></a>' : '';
	
		if ( $show_mod_forum )
		{
			$show_forum = ( $dont_show != '' ) ? "AND f.forum_id NOT IN (". $dont_show .")" : '';
			$sql2 = "SELECT f.forum_id, f.forum_name
				FROM ". AUTH_ACCESS_TABLE ." aa, ". USER_GROUP_TABLE ." ug, ". FORUMS_TABLE ." f
				WHERE aa.auth_mod = 1
				AND ug.user_id = '". $team[$i]['user_id'] ."'
				AND ug.group_id = aa.group_id
				AND f.forum_id = aa.forum_id
				$show_forum
				GROUP BY f.forum_id
				ORDER BY f.forum_order";
			if( !$result2 = $db->sql_query($sql2) )
			{
				message_die(GENERAL_ERROR, 'Could not query Forums', '', __LINE__, __FILE__, $sql2);
			}
		
			if ( $db->sql_numrows($result2) )
			{
				$mod_forums = array();
				
				while( $row2 = $db->sql_fetchrow($result2) )
				{
					$mod_forums[] = $row2;
				}
				
				$team_forum = '';
				for($k = 0; $k < count($mod_forums); $k++)
				{
					$team_forum_id = $mod_forums[$k]['forum_id'];
					$forum_link = '<a href="'. append_sid("viewforum.$phpEx?f=$team_forum_id") .'">'. $mod_forums[$k]['forum_name'] .'</a>';
					$team_forum .= ( $team_forum != '' ) ? ', ' . $forum_link : $forum_link;
				}
			}
			else
			{
				$team_forum = $lang['None'];
			}
		}
		
		if ( $show_mod_group )
		{
			$hidden = ( !$show_hid_group ) ? "AND g.group_type != 2" : '';
			$show_group = ( $dont_show_group != '' ) ? "AND g.group_id NOT IN (". $dont_show_group .")" : '';
			$sql3 = "SELECT g.group_name, g.group_id
				FROM ". GROUPS_TABLE ." g, ". USER_GROUP_TABLE ." ug
				WHERE ug.user_id = '". $team[$i]['user_id'] ."'
				AND g.group_id = ug.group_id
				$hidden
				$show_group
				AND g.group_single_user = 0";
			if( !$result2 = $db->sql_query($sql3) )
			{
				message_die(GENERAL_ERROR, 'Could not query Groups', '', __LINE__, __FILE__, $sql3);
			}
		
			if ( $db->sql_numrows($result3) )
			{
				$mod_groups = array();
				
				while( $row3 = $db->sql_fetchrow($result3) )
				{
					$mod_groups[] = $row3;
				}
				
				$team_group = '';
				for($l = 0; $l < count($mod_groups); $l++)
				{
					$team_group_id = $mod_groups[$l]['group_id'];
					$group_link = '<a href="'. append_sid("groupcp.$phpEx?g=$team_group_id") .'">'. $mod_groups[$l]['group_name'] .'</a>';
					$team_group .= ( $team_group != '' ) ? ', ' . $group_link : $group_link;
				}
			}
			else
			{
				$team_group = $lang['None'];
			}
		}
			

		$row_color = ( !($i % 2) ) ? $theme['td_color1'] : $theme['td_color2'];
		$row_class = ( !($i % 2) ) ? $theme['td_class1'] : $theme['td_class2'];

		$template->assign_block_vars("team", array(
			'L_MOD_FORUM' => sprintf($lang['Team_mod_forum'], $team[$i]['username']),
			'L_MOD_GROUP' => $lang['Group_membership'],
			'USERNAME' => $team[$i]['username'],
			'ROW_COLOR' => "#" . $row_color,
			'ROW_CLASS' => $row_class,
			'TEAM_TITLE' => $team_title,
			'TEAM_USERNAME' => $team_username,
			'TEAM_RANK' => $team_rank,
			'TEAM_RANK_IMAGE' => $team_rank_image,
			'TEAM_PHOTO' => $team_photo,
			'TEAM_AVATAR' => $team_avatar,
			'TEAM_FORUMS' => $team_forum,
			'TEAM_GROUPS' => $team_group,
			'TEAM_WEBSITE' => $team_website,
			'TEAM_EMAIL' => $team_email,
			'TEAM_PM' => $team_pm)
		);
		
		if ( !empty($team[$i]['user_birth']) )
		{
			$template->assign_block_vars('team.birth', array(
				'TEAM_BIRTH' => $team_birth,
				'L_TEAM_BIRTH' => $lang['Team_birth_page'])
			);
		}
		
		if ( !empty($team[$i]['user_adress']) )
		{
			$template->assign_block_vars('team.adress', array(
				'TEAM_ADRESS' => $team_adress,
				'L_TEAM_ADRESS' => $lang['Team_adress_page'])
			);
		}
		
		if ( !empty($team[$i]['user_slogan']) )
		{
			$template->assign_block_vars('team.slogan', array(
				'TEAM_SLOGAN' => $team_slogan,
				'L_TEAM_SLOGAN' => $lang['Team_slogan_page'])
			);
		}
		
		if ( !empty($team[$i]['user_topt_title']) && !empty($team[$i]['user_topt_text']))
		{
			$template->assign_block_vars('team.optional', array(
				'TEAM_OPT_TITLE' => $team[$i]['user_topt_title'],
				'TEAM_OPT_TEXT' => $team[$i]['user_topt_text'])
			);
		}
		
		if ( $show_mod_forum )
		{
			$template->assign_block_vars('team.mod_forums', array());
		}
		
		if ( $show_mod_group )
		{
			$template->assign_block_vars('team.mod_groups', array());
		}
		
		if ( $team_website || $team_email || $team_pm )
		{
			$template->assign_block_vars('team.contact', array());
		}
	}
	
if ( $board_config['topics_per_page'] < 10 )
{
	$sql = "SELECT count(*) AS total
		FROM ". USERS_TABLE ."
		WHERE user_id <> " . ANONYMOUS;
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Error getting total users', '', __LINE__, __FILE__, $sql);
	}

	if ( $total = $db->sql_fetchrow($result) )
	{
		$total_team = $total['total'];

		$pagination = generate_pagination("team.$phpEx?mode=$mode&amp;order=$sort_order", $total_team, $board_config['topics_per_page'], $start). '&nbsp;';
	}
	$db->sql_freeresult($result);
}
else
{
	$pagination = '&nbsp;';
	$total_team = 10;
}

$template->assign_vars(array(
	'PAGINATION' => $pagination,
	'PAGE_NUMBER' => sprintf($lang['Page_of'], ( floor( $start / $board_config['topics_per_page'] ) + 1 ), ceil( $total_team / $board_config['topics_per_page'] )), 

	'L_GOTO_PAGE' => $lang['Goto_page'])
);

$template->pparse("body");

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);


?>